Bug 465341 - Alpine upstream tracking bug
Alpine upstream tracking bug
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: alpine (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Joshua Daniel Franklin
Fedora Extras Quality Assurance
http://www.washington.edu/alpine/
: Tracking
Depends On: 460332
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 16:46 EDT by Joshua Daniel Franklin
Modified: 2010-10-28 02:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: alpine-2.02-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 02:19:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Daniel Franklin 2008-10-02 16:46:50 EDT
Mark Crispin is actively trying to get others to "start a 
non-UW repository" for alpine. I've opened a new bug so 
that we can keep up to date on developments and, if we 
want to, eventually decide on a direction for Fedora.

Opening salvo here:
http://mailman2.u.washington.edu/pipermail/alpine-info/2008-September/001248.html

Offer of a hostname and bandwidth here:
http://mailman2.u.washington.edu/pipermail/alpine-info/2008-September/001251.html

Again, I'm not advocating taking any immediate action but 
we can tag things here in comments.

No response yet from those inside UW who have the current 
SVN tree.


Info from old Bug #460332 below:

+++ This bug was initially created as a clone of Bug #460332 +++

Description of problem: Alpine 2.00 has been released from the University of Washington. Can we get updates for F8/F9?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


--- Additional comment from rdieter@math.unl.edu on 2008-08-27 12:35:34 EDT ---

Funny you should mention that.  I was working on building it just this morning. :)

--- Additional comment from rdieter@math.unl.edu on 2008-08-27 12:38:11 EDT ---

other alpine maintainer dudes, any objections to building this too for F-8/F-9 soonish?

--- Additional comment from sebenste@weather.admin.niu.edu on 2008-08-27 12:43:59 EDT ---

Funny thing is, on their website, they have a binary built on Fedora Core 7, which is, of course, EOL'd. I'd be happy to test it.

--- Additional comment from sebenste@weather.admin.niu.edu on 2008-08-27 12:44:24 EDT ---

Er, I mean I'd be happy to test an F8 version. :-)

--- Additional comment from joshuadfranklin@yahoo.com on 2008-08-27 12:59:57 EDT ---

Go ahead Rex. Unfortunately the Alpine dev team is also EOL'd (now unemployed), so I wouldn't expect too many updates to their F7 build platform.

--- Additional comment from sebenste@weather.admin.niu.edu on 2008-08-27 13:01:20 EDT ---

JDF: YIKES! :-o

--- Additional comment from rdieter@math.unl.edu on 2008-08-27 13:02:56 EDT ---

ok, I'll do the builds.

Joshua, do you know any more details about UW's plans wrt uw-imap/alpine?  Is it worth considering forking/hosting it elsewhere?  (I know Mark Crispin is already developing a currently non-oss fork).

--- Additional comment from joshuadfranklin@yahoo.com on 2008-08-27 13:36:20 EDT ---

I am going to add Debian alpine maintainer Asheesh Laroia to this bug to get his input on whether to stay with UW alpine as well. I believe he adds the maildir patches that were not popular with MRC, who is a brilliant but opinionated person. Based on past mailing list activity, I do not believe MRC would open-source his code unless told to by an employer.

As for the UW's plans, I basically only know what's been on the mailing lists, which is not much. The Alpine 2.00 announcement states:

"Version 2.00 also marks the transition of the Alpine Messaging Team's role of direct, active development to one more oriented toward supporting community driven development. The team intends to continue hosting source, coordinating and consulting on contributed fixes and additions, and packaging periodic releases."

I do not know if this means actual commit access or not. For the short term I vote for staying with the official UW alpine and not forking. Asheesh, is that your plan?

--- Additional comment from joshuadfranklin@yahoo.com on 2008-08-27 13:47:03 EDT ---

I might as well post this here too:

Basically, UW's central IT group (formerly called CAC, now UW Technology)
is in a financial mess. There are a lot of rumors going on around campus
but the basic story is here:

http://techwag.com/index.php/2008/05/21/major-screw-up-changing-industry-leads-to-university-of-washington-tech-workers-layoffs/

(From what I've heard, the first comment is well informed.)
A lot of people still use pine on campus, but it's almost all
faculty/staff. About half of students forward their email
elsewhere, and most of the rest use WebPine. So I guess the
logical choice was to sunset development.

You have to at least temporarily subscribe at
http://mailman2.u.washington.edu/mailman/listinfo/techsupport
to read this, but there is a little more info at
https://mailman2.u.washington.edu/mailman/private/techsupport/2008-August/010801.html


--- Additional comment from rdieter@math.unl.edu on 2008-08-27 14:43:17 EDT ---

builds for testing:

F-8: http://koji.fedoraproject.org/koji/buildinfo?buildID=60473
F-9: http://koji.fedoraproject.org/koji/buildinfo?buildID=60471

(tested locally fine)

--- Additional comment from updates@fedoraproject.org on 2008-08-27 14:44:57 EDT ---

alpine-2.00-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/alpine-2.00-1.fc8

--- Additional comment from sebenste@weather.admin.niu.edu on 2008-08-27 14:47:11 EDT ---

Works for me. Thanks for doing this, Rex! Take care.

--- Additional comment from asheesh@asheesh.org on 2008-09-01 15:16:19 EDT ---

Hi, I'm the Debian alpine maintainer.

First, thanks to Joshua for those links.

Secondly, we're not shipping (nor plan to ship) Eduardo Chappa's Maildir patches.  I WISH I could!  But he hasn't been willing to license them at all, so right now they're (C) Eduardo Chappa, All Rights Reserved.  Naturally that would be undistributable in Debian, so I can't ship that.

The old package ships some pretty lame Maildir patches from 10 years that I've been urged *not* to include.  Those are licensed under the BSD license (without advertising clause).

This situation saddens me.

Thirdly, as far as the future: if there is a fork of alpine, I will be very interested to see where it goes, and I am open to shipping it instead of UW-branded alpine.  But there is no such fork now, so I find discussion of it premature.  Hopefully we can all just work with UW.  I lean toward shipping official bits, but at the point where upstream is not very active, I'm open to changing which group I consider "upstream."

--- Additional comment from updates@fedoraproject.org on 2008-09-10 02:40:20 EDT ---

alpine-2.00-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7290

--- Additional comment from updates@fedoraproject.org on 2008-09-24 19:58:37 EDT ---

alpine-2.00-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 1 Joshua Daniel Franklin 2009-06-16 17:43:18 EDT
There is now a fork (or maybe non-UW continuation) of alpine here:
http://sourceforge.net/projects/re-alpine/

You can read the email thread about it here:
http://mailman2.u.washington.edu/pipermail/alpine-info/2009-June/002267.html


It is not clear whether it will remain integrated with UW-IMAP. For example, Mark Crispin suggests basing off UW imap-2007e:

http://sourceforge.net/mailarchive/forum.php?thread_name=alpine.OSX.2.00.0906090803090.195%40hsinghsing.panda.com&forum_name=re-alpine-bugs

So far there are no real differences between alpine and re-alpine, but I've subscribed to the mailing lists.
Comment 2 Rex Dieter 2009-06-17 16:01:49 EDT
Thanks, I've subscribed too, and mailed offering help (what help I can anyway).
Comment 3 Joshua Daniel Franklin 2009-12-18 17:49:00 EST
Here's some current detail:

On 12/17/09 [17 Dec] 10:58 PM, Max Spevack wrote:
> > Curious if either of you have looked at this at all.
> > 
> >     http://sourceforge.net/projects/re-alpine/
> > 
> > Joshua -- I know you're up at University of
> Washington, but I didn't think (and as far as I can tell
> from the internet I'm right) that you were part of the
> "official" Alpine team.  The alpine upstream from
> UWashington is truly dead, isn't it?  They gave up
> active development of alpine over a year ago, and sort of
> just left the source with no home.

That's correct, which thankfully means I'm still employed!
In this thread re-alpine project lead Andraž 'ruskie' Levstik 
says: "I have received information from Steve Hubert that they
don't plan on doing much anymore so I don't really see a point in
renaming. Infact re-alpine is just alpine but on a community base."

http://sourceforge.net/mailarchive/forum.php?thread_name=alpine.LSU.2.00.0911271047060.19597%40obet.zrqbmnf.qr&forum_name=re-alpine-devel

Internally alpine is still available but I think on the same basis as generic OSS like coreutils or MySQL. 

> > Does re-alpine actually have any traction?  Is it
> something we care about for Fedora?

--- On Fri, 12/18/09, Rex Dieter wrote:
> We're quasi tracking stuff here,
> https://bugzilla.redhat.com/show_bug.cgi?id=465341
> 
> I and Joshua have subscribed to the re-alpine lists, and
> they've (graciously) given me commit access to their sources
> as well.
> 
> That's about all the movement that's happened (from me)
> here so far.  I suppose it's time to rebase rawhide to
> re-alpine soonish (which may require a pkg re-review).

That's a good question. It's the same license (ASL2.0) and
there have been only minor patches so far, but there was
talk of a release including GPGME and Kwallet support. The
re-alpine folks are also aware of the licensing issues of
older pine patches and will not include them which was my
biggest concern. 

http://sourceforge.net/tracker/?func=detail&aid=2805218&group_id=264924&atid=1128051

I say we just change the upstream URL and
release alpine-2.1 or whatever when it's available.
Comment 4 Rex Dieter 2010-10-08 15:23:34 EDT
OK, I think it's about time we did something. :)

I'm working to import re-alpine-2.02 into alpine/master branch in git.
Comment 5 Rex Dieter 2010-10-09 15:24:35 EDT
OK, imported into rawhide, any objections to trying to get this into F-14 ?

(and if anyone could review the openssl patch, I'm not sure if I should touch the second part of that hunk in the code too... looks wrong to me as-is.  And, get that all upstreamed of course)
Comment 6 Rex Dieter 2010-10-09 15:25:10 EDT
Oh, and I've been testing and using it on my f13 box happily since yesterday too. :)
Comment 7 Fedora Update System 2010-10-18 12:58:04 EDT
alpine-2.02-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/alpine-2.02-1.fc14
Comment 8 Fedora Update System 2010-10-18 16:53:31 EDT
alpine-2.02-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alpine'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/alpine-2.02-1.fc14
Comment 9 Fedora Update System 2010-10-28 02:19:12 EDT
alpine-2.02-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.